GET
/
v3
/
credentials
/
{id}
cURL
curl --request GET \
  --url http://127.0.0.1:3333/v3/credentials/{id} \
  --header 'Authorization: Bearer <token>'
{
  "credentials": {
    "type": "smtp",
    "data": {
      "port": 123,
      "from": {
        "email": "<string>",
        "name": "<string>"
      },
      "host": "<string>",
      "username": "<string>",
      "password": "<string>",
      "isTlsEnabled": true
    },
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "iv": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

workspaceId
string

Response

200 - application/json

Default Response

credentials
object
required